
QGIS Application - Bug report #8903

rendering of existing vector styles broken

2013-10-18 01:15 AM - Gavin Fleming

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:2.0.1 Regression?: No

Operating System: ubuntu 13.04 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 17581

Description

For the past week or so Master (ubuntugis-nightly), when opening an existing v2.0 project that worked perfectly before, is not rendering

any vector layers. The projects and the data have not changed so it must be something to do with QGIS.

I can open one of the layers again and the default simple style does render. All the existing styles in this case are rule-based. The legends

in the ToC look fine, but nothing renders in the canvas.

Related issues:

Duplicates QGIS Application - Bug report # 8930: qgis 2.1 wrong categorized r... Closed 2013-10-22

History

#1 - 2013-10-18 01:17 AM - Giovanni Manghi

- Status changed from Open to Feedback

can you share a sample project (and data)?

#2 - 2013-10-24 07:52 AM - Matthias Kuhn

Are you using spatialite layers?

#3 - 2013-10-24 08:52 AM - Gavin Fleming

Yes all the layers are spatialite layers BUT with the latest build this issue is no longer. So feel free to close it unless you'd like to investigate further.

Thanks.

#4 - 2013-10-24 08:57 AM - Jürgen Fischer

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

already fixed in commit:fa90fc9bd
